Commit 173a2e58 authored by darin's avatar darin
Browse files

Another revision on the READMEs.


git-svn-id: http://svn.webkit.org/repository/webkit/trunk@3259 268f45cc-cd09-0410-ab3c-d52691b4dbfc
parent 9b19889b
......@@ -9,8 +9,11 @@ with #if APPLE_CHANGES. Other changes to improve performance and web
page compatibility are intended for integration into future versions of
the KJS library.
To build the WebCore framework tarball, you'll need Mac OS X 10.2,
including the development tools.
To build the JavaScriptCore framework, you'll need Mac OS X 10.2,
including the development tools, and the following commands:
Build the JavaScriptCore project using either the Project Builder user
interface or using the command "pbxbuild" from the command line.
% cd JavaScriptCore
% pbxbuild install
The framework will be installed in /WebCore/Library/Frameworks,
which is where the WebCore project looks for it.
......@@ -10,12 +10,10 @@ Changes that are specific to WebCore are marked with #if APPLE_CHANGES.
Other changes to improve performance and web page compatibility are
intended for integration into future versions of the KHTML library.
To build the WebCore framework tarball, you'll need Mac OS X 10.2,
including the development tools.
To build the WebCore framework, you'll need Mac OS X 10.2, including
the development tools.
First build JavaScriptCore and either install it or set the environment
variables DYLD_LIBRARY_PATH and DYLD_FRAMEWORK_PATH to include the
directory that the JavaScriptCore.framework bundle is in.
First, build and install JavaScriptCore.
Then build the WebCore project using either the Project Builder user
Then, build the WebCore project using either the Project Builder user
interface or using the command "pbxbuild" from the command line.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment